Cyberduck Mountain Duck CLI

#5411 closed defect (fixed)

Chunked uploads

Reported by: https://www.google.com/accounts/o8/id?id=aitoawmd5-s0nyoxxntwkcx331bfwczmfvuyg0c Owned by: dkocher
Priority: highest Milestone: 3.8
Component: googledrive Version: 3.7
Severity: blocker Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

I have a Google paid account 20GB. I loged successfully on my account through cyberduck, but, it show me no file when it lists, and there are a lot of files on my account.

I try to create a file, through cyberduck, no errors happened, but when the files are listed, there are no files, and when I go to my account online, no files were created too.

verwion 3.7 (7380)

Attachments (3)

Screen shot 2010-11-07 at 9.40.24 AM.png (130.1 KB) - added by https://www.google.com/accounts/o8/id?id=aitoawmd5-s0nyoxxntwkcx331bfwczmfvuyg0c on Nov 7, 2010 at 11:42:17 AM.
All Messages.log.zip (27.4 KB) - added by https://www.google.com/accounts/o8/id?id=aitoawmd5-s0nyoxxntwkcx331bfwczmfvuyg0c on Nov 11, 2010 at 11:52:01 PM.
Errors log
Console Messages.log.zip (31.0 KB) - added by https://www.google.com/accounts/o8/id?id=aitoawmd5-s0nyoxxntwkcx331bfwczmfvuyg0c on Nov 14, 2010 at 5:39:16 PM.
Updated logs

Download all attachments as: .zip

Change History (12)

Changed on Nov 7, 2010 at 11:42:17 AM by https://www.google.com/accounts/o8/id?id=aitoawmd5-s0nyoxxntwkcx331bfwczmfvuyg0c

comment:1 Changed on Nov 11, 2010 at 9:52:20 AM by dkocher

I need a debug log to find out the root cause of this. Can you open a Terminal.app window and paste

defaults write ch.sudo.cyberduck logging debug

Press the return key and restart Cyberduck. Then post the contents of the logging in system.log available through Console.app.

comment:2 Changed on Nov 11, 2010 at 11:50:59 PM by https://www.google.com/accounts/o8/id?id=aitoawmd5-s0nyoxxntwkcx331bfwczmfvuyg0c

Ok, I did it just now. Thanks!

Changed on Nov 11, 2010 at 11:52:01 PM by https://www.google.com/accounts/o8/id?id=aitoawmd5-s0nyoxxntwkcx331bfwczmfvuyg0c

Errors log

comment:3 Changed on Nov 12, 2010 at 12:35:44 PM by dkocher

Can you try to login with a username of eduardopichler@gmail.com instead of eduardopichler.

comment:4 Changed on Nov 12, 2010 at 12:36:36 PM by dkocher

  • Summary changed from Not working with google docs to Documents with owner different than username credentials from login not displayed

comment:5 follow-up: Changed on Nov 14, 2010 at 5:37:32 PM by https://www.google.com/accounts/o8/id?id=aitoawmd5-s0nyoxxntwkcx331bfwczmfvuyg0c

Now it worked. But I think the original problem I reported is still a problem. The software must don't log in with my first login information.

And putting the @gmail.com as sufix, I logged, but trying uploading a folder, problems occured, and not relevant information about the erros is showed me. I don't know if is some kind of encoding problem, I'm sending the updated logs in attachment.

Thanks for the support.

Changed on Nov 14, 2010 at 5:39:16 PM by https://www.google.com/accounts/o8/id?id=aitoawmd5-s0nyoxxntwkcx331bfwczmfvuyg0c

Updated logs

comment:6 in reply to: ↑ 5 Changed on Nov 14, 2010 at 8:39:43 PM by dkocher

  • Milestone set to 4.0

Replying to https://www.google.com/accounts/o8/id?id=aitoawmd5-s0nyoxxntwkcx331bfwczmfvuyg0c:

Now it worked. But I think the original problem I reported is still a problem. The software must don't log in with my first login information.

And putting the @gmail.com as sufix, I logged, but trying uploading a folder, problems occured, and not relevant information about the erros is showed me. I don't know if is some kind of encoding problem, I'm sending the updated logs in attachment.

Thanks for the support.

There is an issue with this upload that too much memory is being allocated. Will have to make sure we used chunked uploads or make sure the HTTP connection knows the content length in advance to set the Content-Length header without internal buffering.

11/13/10 11:01:42 AM	[0x0-0x158158].ch.sudo.cyberduck[2924]	2010-11-13 11:01:42,346 [pool-1-thread-11] ERROR ch.cyberduck.ui.AbstractController - Excpetion running background task:Java heap space
11/13/10 11:01:42 AM	[0x0-0x158158].ch.sudo.cyberduck[2924]	java.lang.OutOfMemoryError: Java heap space
11/13/10 11:01:42 AM	[0x0-0x158158].ch.sudo.cyberduck[2924]	        at java.util.Arrays.copyOf(Arrays.java:2786)
11/13/10 11:01:42 AM	[0x0-0x158158].ch.sudo.cyberduck[2924]	        at java.io.ByteArrayOutputStream.write(ByteArrayOutputStream.java:94)
11/13/10 11:01:42 AM	[0x0-0x158158].ch.sudo.cyberduck[2924]	        at sun.net.www.http.PosterOutputStream.write(PosterOutputStream.java:61)
11/13/10 11:01:42 AM	[0x0-0x158158].ch.sudo.cyberduck[2924]	        at ch.cyberduck.core.io.ThrottledOutputStream.write(ThrottledOutputStream.java:78)
11/13/10 11:01:42 AM	[0x0-0x158158].ch.sudo.cyberduck[2924]	        at ch.cyberduck.core.Path.transfer(Path.java:810)
11/13/10 11:01:42 AM	[0x0-0x158158].ch.sudo.cyberduck[2924]	        at ch.cyberduck.core.Path.upload(Path.java:721)
11/13/10 11:01:42 AM	[0x0-0x158158].ch.sudo.cyberduck[2924]	        at ch.cyberduck.core.gdocs.GDPath.upload(GDPath.java:550)
11/13/10 11:01:42 AM	[0x0-0x158158].ch.sudo.cyberduck[2924]	        at ch.cyberduck.core.Path.upload(Path.java:681)
11/13/10 11:01:42 AM	[0x0-0x158158].ch.sudo.cyberduck[2924]	        at ch.cyberduck.core.UploadTransfer.transfer(UploadTransfer.java:389)
11/13/10 11:01:42 AM	[0x0-0x158158].ch.sudo.cyberduck[2924]	        at ch.cyberduck.core.Transfer.transfer(Transfer.java:442)
11/13/10 11:01:42 AM	[0x0-0x158158].ch.sudo.cyberduck[2924]	        at ch.cyberduck.core.Transfer.transfer(Transfer.java:531)
11/13/10 11:01:42 AM	[0x0-0x158158].ch.sudo.cyberduck[2924]	        at ch.cyberduck.core.Transfer.start(Transfer.java:632)
11/13/10 11:01:42 AM	[0x0-0x158158].ch.sudo.cyberduck[2924]	        at ch.cyberduck.ui.cocoa.TransferController$4.run(TransferController.java:680)
11/13/10 11:01:42 AM	[0x0-0x158158].ch.sudo.cyberduck[2924]	        at ch.cyberduck.ui.AbstractController$1.run(AbstractController.java:73)
11/13/10 11:01:42 AM	[0x0-0x158158].ch.sudo.cyberduck[2924]	        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
11/13/10 11:01:42 AM	[0x0-0x158158].ch.sudo.cyberduck[2924]	        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
11/13/10 11:01:42 AM	[0x0-0x158158].ch.sudo.cyberduck[2924]	        at java.lang.Thread.run(Thread.java:680)

comment:7 Changed on Nov 15, 2010 at 9:35:06 AM by dkocher

Validate email address in user credentials in r7581.

comment:8 Changed on Nov 18, 2010 at 4:52:10 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

Use chunked uploads. In r7655.

comment:9 Changed on Nov 27, 2010 at 10:49:54 PM by dkocher

  • Summary changed from Documents with owner different than username credentials from login not displayed to Chunked uploads
Note: See TracTickets for help on using tickets.
swiss made software